.stage
{
	width: 1000px;
	height: 600px;
	border: 1px solid black;
	position: relative;
	/* 3D perspektiiv */
	perspective-origin: 50% 50%;
	perspective: 1500px;
}

.cube
{
	width: 400px;
	height: 400px;
	position: absolute;
	left: 300px;
	top: 100px;
	/*Et sÃ¤ilitaks 3D sÃ¼gavuse*/
	transform-style: preserve-3d;
	animation: spin 5s linear infinite;
}

.face
{
	width: 400px;
	height: 400px;
	position: inherit;
	/*border: 1px solid white;*/
	box-shadow: inset 0 0 10px rgb(222, 39, 39), 0 0 10px rgb(70, 44, 44);
	/* 3D puhul tagant ei paista */
	/*backface-visibility: hidden;*/
	animation-play-state: inherit;
}

.front
{
	transform: translateZ(200px);
}

.back
{
	transform: translateZ(-200px) rotateY(180deg);
}

.top
{
	transform: translateY(-200px) rotateX(90deg);
}

.bottom
{
	transform: translateY(200px) rotateX(-90deg);
}

.left
{
	transform: translate(200px) rotateY(90deg);
}

.right
{
	transform: translate(-200px) rotateY(-90deg);
}

@keyframes spin
{
	0%{transform: rotateY(0deg) rotateX(15deg);}
	100%{transform: rotateY(360deg) rotateX(15deg);}
}

.logo
{
	width: 250px;
	margin: 50px 150px;
	animation: spin2D 3s linear infinite;
	animation-play-state: inherit;
}

@keyframes spin2D
{
	0%{transform: rotate(0deg);}
	100%{transform: rotate(360deg);}
}